Index: /DCWoRMS/trunk/src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl
===================================================================
--- /DCWoRMS/trunk/src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl	(revision 606)
+++ /DCWoRMS/trunk/src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl	(revision 613)
@@ -31,7 +31,4 @@
 				<xsl:apply-templates select="Storage" />
 			</xsl:if>
-			<xsl:if test="CoolingDevice">
-				<xsl:apply-templates select="CoolingDevice" />
-			</xsl:if>
 			<xsl:call-template name="BasicDEBBPhysicalElementParameters" />
 			<xsl:if test="Baseboard">
@@ -41,9 +38,23 @@
 				<xsl:apply-templates select="Sensor" />
 			</xsl:if>
+			<xsl:if test="PowerSupply">
+				<xsl:apply-templates select="PowerSupply" />
+			</xsl:if>
 			<xsl:if test="Processor">
 				<xsl:apply-templates select="Processor" />
 			</xsl:if>
-			<xsl:if test="PowerSupply">
-				<xsl:apply-templates select="PowerSupply" />
+			<xsl:if test="CoolingDevice">
+				<!-- Base cooling device data -->
+				<xsl:apply-templates select="CoolingDevice"
+					mode="basic" />
+				<!-- Air throughput connected, advanced, technical data -->
+				<xsl:element name="profile">
+					<xsl:element name="airThroughputProfile">
+						<xsl:element name="airThroughputStates">
+							<xsl:apply-templates select="CoolingDevice"
+								mode="advanced" />
+						</xsl:element>
+					</xsl:element>
+				</xsl:element>
 			</xsl:if>
 		</xsl:element>
@@ -58,5 +69,5 @@
 		</xsl:if>
 		<xsl:if test="CoolingDevice">
-			<xsl:apply-templates select="CoolingDevice" />
+			<!-- <xsl:apply-templates select="CoolingDevice" /> -->
 		</xsl:if>
 		<xsl:call-template name="BasicDEBBPhysicalElementParameters" />
@@ -240,56 +251,54 @@
 				</xsl:element>
 			</xsl:element>
-
 			<xsl:call-template name="BasicDEBBPhysicalElementParameters" />
 		</xsl:element>
 	</xsl:template>
 
-	<xsl:template match="CoolingDevice">
-		<!-- TODO: Not finished -->
-		<xsl:element name="profile">
-			<xsl:element name="airThroughputProfile">
-				<!-- <xsl:attribute name="name">CoolingDevice</xsl:attribute> -->
-				<!-- TODO: What to take it from?? -->
-				<!-- <xsl:element name="airThroughputEstimationPlugin"> -->
-				<!-- </xsl:element> -->
-				<xsl:if test="ThroughputProfile">
-					<xsl:element name="airThroughputStates">
-						<xsl:apply-templates select="ThroughputProfile" />
-					</xsl:element>
-				</xsl:if>
-				<!-- Obligatory attribute -->
-				<xsl:element name="parameter">
-					<xsl:attribute name="name">Class</xsl:attribute>
-					<xsl:element name="value">
-						<xsl:value-of select="Class" />
-					</xsl:element>
-				</xsl:element>
-				<xsl:if test="MaxCoolingCapacity">
-					<xsl:element name="parameter">
-						<xsl:attribute name="name">MaxCoolingCapacity</xsl:attribute>
-						<xsl:element name="value">
-							<xsl:value-of select="MaxCoolingCapacity" />
-						</xsl:element>
-					</xsl:element>
-				</xsl:if>
-				<xsl:if test="MaxAirThroughput">
-					<xsl:element name="parameter">
-						<xsl:attribute name="name">MaxAirThroughput</xsl:attribute>
-						<xsl:element name="value">
-							<xsl:value-of select="MaxAirThroughput" />
-						</xsl:element>
-					</xsl:element>
-				</xsl:if>
-				<xsl:if test="MaxWaterThroughput">
-					<xsl:element name="parameter">
-						<xsl:attribute name="name">MaxWaterThroughput</xsl:attribute>
-						<xsl:element name="value">
-							<xsl:value-of select="MaxWaterThroughput" />
-						</xsl:element>
-					</xsl:element>
-				</xsl:if>
-				<xsl:call-template name="BasicDEBBPhysicalElementParameters" />
-			</xsl:element>
-		</xsl:element>
+	<xsl:template match="CoolingDevice" mode="basic">
+		<xsl:element name="parameter">
+			<xsl:attribute name="name">CoolingDevice</xsl:attribute>
+			<!-- Don't call BasicDEBBPhysicalElementParameters, because parameter 
+				cannot contain parameters. Must be parameter containing properties. -->
+
+			<!-- Obligatory attribute -->
+			<xsl:element name="property">
+				<xsl:attribute name="name">Class</xsl:attribute>
+				<xsl:element name="value">
+					<xsl:value-of select="Class" />
+				</xsl:element>
+			</xsl:element>
+			<xsl:if test="MaxCoolingCapacity">
+				<xsl:element name="property">
+					<xsl:attribute name="name">MaxCoolingCapacity</xsl:attribute>
+					<xsl:element name="value">
+						<xsl:value-of select="MaxCoolingCapacity" />
+					</xsl:element>
+				</xsl:element>
+			</xsl:if>
+			<xsl:if test="MaxAirThroughput">
+				<xsl:element name="property">
+					<xsl:attribute name="name">MaxAirThroughput</xsl:attribute>
+					<xsl:element name="value">
+						<xsl:value-of select="MaxAirThroughput" />
+					</xsl:element>
+				</xsl:element>
+			</xsl:if>
+			<xsl:if test="MaxWaterThroughput">
+				<xsl:element name="property">
+					<xsl:attribute name="name">MaxWaterThroughput</xsl:attribute>
+					<xsl:element name="value">
+						<xsl:value-of select="MaxWaterThroughput" />
+					</xsl:element>
+				</xsl:element>
+			</xsl:if>
+			<xsl:call-template name="BasicDEBBPhysicalElementProperties" />
+		</xsl:element>
+	</xsl:template>
+
+	<xsl:template match="CoolingDevice" mode="advanced">
+		<xsl:attribute name="name">DummyCoolingDeviceName</xsl:attribute>
+		<xsl:if test="ThroughputProfile">
+			<xsl:apply-templates select="ThroughputProfile" />
+		</xsl:if>
 	</xsl:template>
 
